package ru.amse.kanzheleva.moviemaker.main.maker;

import javax.swing.JOptionPane;

import ru.amse.kanzheleva.moviemaker.movie.Frame;
import ru.amse.kanzheleva.moviemaker.movie.IMovie;
import ru.amse.kanzheleva.moviemaker.movie.Movie;
import ru.amse.kanzheleva.moviemaker.ui.frame.FrameMaker;
import ru.amse.kanzheleva.moviemaker.xml.WrongDataException;

public class Main {
	public static void main(String[] args) {
	
		//MovieLoader reader = new MovieLoader();
		IMovie movie = new Movie();
		movie.addFrame(new Frame());
		
		try {
			@SuppressWarnings("unused")
			FrameMaker frameMaker = new FrameMaker(movie);
		} catch (WrongDataException e) {
			JOptionPane.showMessageDialog(null,
				    e.getMessage(), null, JOptionPane.ERROR_MESSAGE);
		}
		
	}
	    
}
