package ru.amse.kanzheleva.moviemaker.movie;

public abstract class GraphicalObject extends MovePoint implements IGraphicalObject{
	private ColorRGB myLineColor;
	private ColorRGB myFillColor;
	private double myRotationAngle;
	private IMyPoint myRotationCentre;
		
	public ColorRGB getLineColor() {
		return myLineColor;		
	}
	
	public void setLineColor(ColorRGB color) {
		myLineColor = color;
	}

	public ColorRGB getFillColor() {
		return myFillColor;
	}
	
	public void setFillColor(ColorRGB color) {
		myFillColor = color;
	}
	
	public double getRotationAngle() {
		return myRotationAngle;
	}
	
	public void setRotationAngle(double angle) {
		myRotationAngle = angle;
	}
	
	public IMyPoint getRotationCenter() {
		return myRotationCentre;
	}
	
	public void setRotationCenter(IMyPoint center) {
		myRotationCentre = center;
	}
}
