package ru.amse.kanzheleva.moviemaker.movie;

import ru.amse.kanzheleva.moviemaker.movie.figures.IEllipse;
import ru.amse.kanzheleva.moviemaker.movie.figures.IPolyLine;
import ru.amse.kanzheleva.moviemaker.movie.figures.IPolygon;
import ru.amse.kanzheleva.moviemaker.movie.figures.IRectangle;
import ru.amse.kanzheleva.moviemaker.movie.figures.IRoundRectangle;

public interface IVisitor<T, P> {
	public T visit(IRectangle rectangle, P attributes);
	public T visit(IRoundRectangle rectangle, P attributes);
	public T visit(IEllipse ellipse, P attributes);
	public T visit(IPolygon polygon, P attributes);
	public T visit(IPolyLine polyLine, P attributes);
	public T visit(Moviable element, P attributes);
}
