package ru.amse.kanzheleva.moviemaker.movie;
import java.util.LinkedList;
import java.util.List;



public class Movie implements IMovie {
	private List<IFrame> myFrameList;
	private int myFps;
	
	public Movie() {
		myFrameList = new LinkedList<IFrame>();
		myFps = 5;
	}
	
	public void addFrame(IFrame frame) {
		myFrameList.add(frame);
	}
	
	public IFrame getFrame(int index) {
		return myFrameList.get(index);		
	}
	
	public int getSize() {
		return myFrameList.size();
	}

	public int getFPS() {
		return myFps;
	}

	public void setFPS(int fps) {
		myFps = fps;
	}

	public List<IFrame> getFrameList() {
		return myFrameList;
	}
}
