package ru.amse.kanzheleva.moviemaker.movie.figures;

import ru.amse.kanzheleva.moviemaker.movie.GraphicalObject;
import ru.amse.kanzheleva.moviemaker.movie.IGraphicalObject;
import ru.amse.kanzheleva.moviemaker.movie.Moviable;

public class PolyFigure extends GraphicalObject 
		implements IGraphicalObject, IPolyFigure, Moviable{
	private int[] myX;
	private int[] myY;
	
	public int[] getX() {
		return myX;
	}
	
	public int[] getY() {
		return myY;
	}
	
	public void setX(int[] x) {
		if ((myX == null) || (myX.length != x.length)) {
			myX = new int[x.length];
		}
		for (int i = 0; i < x.length; i++) {
			myX[i] = x[i];
		}
	}
	
	public void setY(int[] y) {
		if ((myY == null) || (myY.length != y.length)) {
			myY = new int[y.length];
		}
		for (int i = 0; i < y.length; i++) {
			myY[i] = y[i];
		}
	}
	
	public void move(int dx, int dy, int dWidth, int dHeight) {
		int size = myX.length;
		for (int i = 0; i < size; i++) {
			myX[i] += dx;
			myY[i] += dy;
		}
	}
	
	public void movePoint(int dx, int dy, int number) {
		myX[number] += dx;
		myY[number] += dy;
	}
}

