package ru.amse.kanzheleva.moviemaker.movie.figures;

import ru.amse.kanzheleva.moviemaker.movie.GraphicalObject;
import ru.amse.kanzheleva.moviemaker.movie.Moviable;
import ru.amse.kanzheleva.moviemaker.movie.IGraphicalObject;

public abstract class RectangularFigure extends GraphicalObject 
						implements IGraphicalObject, IRectangularFigure, Moviable{
	private int myWidth;
	private int myHeight;
	//private IPoint myPosition;
	
	public int getWidth() {
		return myWidth;
	}
	
	public void setWidth(int width) {
		myWidth = width;
	}
	
	public int getHeight() {
		return myHeight;
	}
	
	public void setHeight(int height) {
		myHeight = height;
	}
	
	/*public void setPosition(IPoint position) {
		myPosition = position;
	}
	
	public IPoint getPosition() {
		return myPosition;
	}*/
	
	public void move(int dx, int dy, int dWidth, int dHeight) {
		super.move(dx, dy, dWidth, dHeight);
		myWidth += dWidth;
		myHeight += dHeight;
	}
	/*public void move(int dx, int dy) {
		getPosition().setX(getPosition().getX() + dx);
		getPosition().setY(getPosition().getY() + dy);
	}*/


}
